%if 0%{?fedora} > 16
%global rubyabi 1.9.1
%global gem_name aeolus-image
%global gemname %{gem_name}
%global geminstdir %{gem_instdir}
%global gemdir %{gem_dir}
%else
%global rubyabi 1.8
%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gemname aeolus-image
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}
%endif


Summary: Ruby Client for interacting with Image Warehouse and Image Factory
Name: rubygem-aeolus-image
Version: 0.5.0
Release: 1%{?dist}
Group: Development/Languages
License: ASL 2.0
URL: http://aeolusproject.org

Source0: %{gemname}-%{version}.gem

Requires: ruby(abi) = %{rubyabi}
Requires: rubygems
Requires: rubygem(nokogiri) >= 1.4.0
Requires: rubygem(rest-client)
Requires: rubygem(oauth)

BuildRequires: ruby
BuildRequires: rubygems

%if 0%{?fedora} > 16
BuildRequires: rubygems-devel
%endif

BuildArch: noarch
Provides: rubygem(%{gemname}) = %{version}

%description
Ruby Client for Image Warehouse and Image Factory

%prep
%setup -q -c -T
mkdir -p ./%{gemdir}
gem install --local --install-dir ./%{gemdir} --force --rdoc %{SOURCE0}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gemdir}
cp -a .%{gemdir}/* %{buildroot}%{gemdir}/

rm -rf %{buildroot}%{gemdir}/gems/%{gemname}-%{version}/.yardoc

%files
%doc %{geminstdir}/COPYING
%doc %{gemdir}/doc/%{gemname}-%{version}
%dir %{geminstdir}
%{geminstdir}/Rakefile
%{geminstdir}/lib
%{geminstdir}/spec
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec

%changelog
* Wed Jun 06 2012 Steve Linabery <slinaber@redhat.com> - 0.5.0-1
- 9144549 OAuth only binds to Factory requests

* Mon May 07 2012 Mo Morsi <mmorsi@redhat.com> - 0.4.0-2
- fixed spec to use new ruby 1.9 macros

* Mon May 07 2012 Mo Morsi <mmorsi@redhat.com> - 0.4.0-1
- updated to ruby 1.9
- new upstream release

* Mon Jan 09 2012 Steve Linabery <slinaber@redhat.com> - 0.3.0-2
- d0624e1 Add provider_account-filtered 'provider images' method to build model
- 8108b42 Remove extra_release from spec.in
- fc06460 Bump version
- 2e7977a Add Changelog entry for 0.3.0-1

* Wed Jan 04 2012 Steve Linabery <slinaber@redhat.com> - 0.3.0-1
- c13b654 Changes to build behavior in rpmtask.rb, Rakefile
- dd1bab7 Create an Aeolus::Image.import method
- 9b6cfd2 Fix a bug with repeat invocations of .imported?
- d1d97b0 WarehouseModel objects now implement a set_attr instance method.
- 68aa3fb Adds imported? method to Warehouse::Image
- 8a65b83 BZ#753917 Added Target to Builder
- 64c2ac5 Added ASL license header to files
- 0132975 Bump version for ongoing development on master branch
- 74dba63 Bump release for 0.2.0 RC

* Thu Dec  1 2011 Steve Linabery <slinaber@redhat.com> - 0.2.0-1
- d451628 Fixed creation of a bucket when saving a bucket object
- 289dcbf Added builder helper methods
- 4f708c8 Added couple of helper methods to image model
- 6ae089c Added convenience methods for checking providerimages on image/build
- 90154e0 Updated models to use iwhd query syntax
- 1cba777 Fixed comparing of two warehouse objects
- 2e2d735 Commented out couple of tests
- 4b6408d Updated fetching of template for an image
- 424c117 Added create method and enabled access to body
- dd829cd BZ#752494 Handle 404 for status in rubygem
- 5d4cdc0 Add tests for aeolus-image-rubygem
- 0706f29 Fixed request_without_oauth method
- a121b34 Fixed template body initialize
- 105420b Updated warehouse models initialize method and fixed image body
- cd55966 adding icicle support
- 3aa588a Fixes formatting of README.md
- 0cf1a58 Adds README file

* Tue Nov 29 2011 Steve Linabery <slinaber@redhat.com> - 0.2.0-0
- Bump release, set version to 0

* Mon Oct 17 2011 Matt Wagner <matt.wagner@redhat.com> - 0.0.1-4
- Adds OAuth support for Factory client
- Add vcr and webmock dependencies

* Tue Sep 20 2011 Martyn Taylor  <mtaylor@redhat.com>  - 0.0.1-3
- split out command line tools

* Wed Jul 20 2011 Mo Morsi <mmorsi@redhat.com>  - 0.0.1-3
- more updates to conform to fedora guidelines

* Fri Jul 15 2011 Mo Morsi <mmorsi@redhat.com>  - 0.0.1-2
- updated package to conform to fedora guidelines

* Mon Jul 04 2011  <mtaylor@redhat.com>  - 0.0.1-1
- Added man files

* Wed Jun 15 2011  <jguiditt@redhat.com> - 0.0.1-1
- Initial package
